EC_STRVEC_SH_LEX_STR(3)

NAME
ec_strvec_sh_lex_str - Split a string into multiple tokens following basic shell lexing rules.

SYNOPSIS
#include <ecoli/strvec.h>

struct ec_strvec * ec_strvec_sh_lex_str(
    const char       *str,             /* The string to split. */
    ec_strvec_flag_t  flags,           /* Options for controlling behavior. */
    /*
     * If not NULL and if the provided string has an unterminated quote. The
     * opening quote will be stored here.
     */
    char             *unclosed_quote
);

STRUCTURES

enum ec_strvec_flag_t {

      EC_STRVEC_STRICT;

      EC_STRVEC_TRAILSP;
};

RETURN VALUE

The new strvec object, or NULL on error (errno is set).

SEE ALSO

ec_strvec_set_attrs(3), ec_strvec_del_last(3), ec_strvec_val(3), ec_strvec_cmp(3), ec_strvec_sort(3), ec_strvec_from_array(3), ec_strvec_get_attrs(3), ec_strvec_dup(3), ec_strvec_set(3), ec_strvec_len(3), ec_strvec_dump(3), ec_strvec_add(3), ec_strvec_free(3), ec_strvec(3), ec_strvec_ndup(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.